iGeneralMeshSubMesh Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iGeneralMeshSubMesh Struct Reference
Mesh plugins

A submesh of a genmesh. More...

`#include <imesh/genmesh.h>`

Inheritance diagram for iGeneralMeshSubMesh:

List of all members.

## Public Member Functions
virtual bool | GetBack2Front () const =0
| Get back-to-front sorting for submesh.
virtual iRenderBuffer * | GetIndices ()=0
| Get the index render buffer.
virtual iMaterialWrapper * | GetMaterial () const =0
| Get the material.
virtual uint | GetMixmode () const =0
| Get the mixmode (or (uint)~0 if none was specified)
virtual const char * | GetName () const =0
| Get the name (or 0 if none was given)
virtual CS::Graphics::RenderPriority | GetRenderPriority () const =0
| Get the render priority (or -1 if none was specified)
virtual csZBufMode | GetZMode () const =0
| Get the Z buffer mode (or (csZBufMode)~0 if none was specified)
virtual void | SetBack2Front (bool enable)=0
| Set back-to-front sorting for submesh.
virtual void | SetIndices (iRenderBuffer *newIndices)=0
| Set the index renderbuffer.
virtual void | SetMaterial (iMaterialWrapper *material)=0
| Set the material, or 0 to use default.
virtual void | SetMixmode (uint mode)=0
| Set the mixmode (or (uint)~0 to use default)
virtual void | SetRenderPriority (CS::Graphics::RenderPriority prio)=0
| Set the render priority (-1 to use default)
virtual void | SetZMode (csZBufMode mode)=0
| Set the Z buffer mode ((csZBufMode)~0 to use default)

## Detailed Description

A submesh of a genmesh.

Definition at line 85 of file genmesh.h.

## Member Function Documentation

virtual bool iGeneralMeshSubMesh::GetBack2Front | ( |  | ) | const`[pure virtual]`

Get back-to-front sorting for submesh.

virtual iRenderBuffer* iGeneralMeshSubMesh::GetIndices | ( |  | ) | `[pure virtual]`

Get the index render buffer.

virtual iMaterialWrapper* iGeneralMeshSubMesh::GetMaterial | ( |  | ) | const`[pure virtual]`

Get the material.

virtual uint iGeneralMeshSubMesh::GetMixmode | ( |  | ) | const`[pure virtual]`

Get the mixmode (or (uint)~0 if none was specified)

virtual const char* iGeneralMeshSubMesh::GetName | ( |  | ) | const`[pure virtual]`

Get the name (or 0 if none was given)

virtual CS::Graphics::RenderPriority iGeneralMeshSubMesh::GetRenderPriority | ( |  | ) | const`[pure virtual]`

Get the render priority (or -1 if none was specified)

virtual csZBufMode iGeneralMeshSubMesh::GetZMode | ( |  | ) | const`[pure virtual]`

Get the Z buffer mode (or (csZBufMode)~0 if none was specified)

virtual void iGeneralMeshSubMesh::SetBack2Front | ( | bool | enable | ) | `[pure virtual]`

Set back-to-front sorting for submesh.

If 'false', factory setting will be used.

virtual void iGeneralMeshSubMesh::SetIndices | ( | iRenderBuffer * | newIndices | ) | `[pure virtual]`

Set the index renderbuffer.

virtual void iGeneralMeshSubMesh::SetMaterial | ( | iMaterialWrapper * | material | ) | `[pure virtual]`

Set the material, or 0 to use default.

virtual void iGeneralMeshSubMesh::SetMixmode | ( | uint | mode | ) | `[pure virtual]`

Set the mixmode (or (uint)~0 to use default)

virtual void iGeneralMeshSubMesh::SetRenderPriority | ( | CS::Graphics::RenderPriority | prio | ) | `[pure virtual]`

Set the render priority (-1 to use default)

virtual void iGeneralMeshSubMesh::SetZMode | ( | csZBufMode | mode | ) | `[pure virtual]`

Set the Z buffer mode ((csZBufMode)~0 to use default)

The documentation for this struct was generated from the following file:

- imesh/genmesh.h